Bug 323391 - Nvidia 8500gt support (resolved in Fedora 8-3)
Nvidia 8500gt support (resolved in Fedora 8-3)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 13:27 EDT by Hervé Riboulot
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Fedora 8 RC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-03 13:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from Fedora 8 (13.54 KB, text/plain)
2007-10-08 13:27 EDT, Hervé Riboulot
no flags Details
Ubuntu 7.10 log (49.39 KB, text/plain)
2007-10-08 13:28 EDT, Hervé Riboulot
no flags Details
xorg.conf from Fedora 8 (962 bytes, application/octet-stream)
2007-10-08 14:33 EDT, Hervé Riboulot
no flags Details
xorg.conf from Ubuntu 7.10 (2.26 KB, application/octet-stream)
2007-10-08 14:33 EDT, Hervé Riboulot
no flags Details

  None (edit)
Description Hervé Riboulot 2007-10-08 13:27:07 EDT
Description of problem:

x86-64 Core(tm)2 Quad CPU@ 2.40GHz
graphic card: nVidia GeForce 8500 GT
kernel: 2.6.23-0.214rc8 and related livna drivers (kmod-nvidia,
xorg-x11-drv-nvidia ...including xorg-x11-drv-nvidia-libs-32bit)

controller is not properly identified. Lspci mentions 'unknown device' whereas
lspci, under Ubuntu 7.10, provides the following outcomes: 01:00.0 VGA
compatible controller: nVidia Corporation GeForce [h]8500[/h] GT (rev a1)

P'P is disabled an IRQ are active for Vga.

xorg.log shows that the graphci card is not properly identified: 
(--) PCI:*(1:0:0) unknown vendor (0x0001) unknown chipset (0x0421) rev 161, Mem
@ 0xfa000000/24, 0xd0000000/28, 0xf8000000/25, I/O @ 0xdf00/7

Note 1: the graphic card is correctly supported by Ubuntu 7.10 but not by
OpenSuse 10.3.

Lshw (under Ubuntu) indicates:

VGA compatible controller
          product: GeForce [h]8500[/h] GT
          vendor: nVidia Corporation
          physical id: 0
          bus info: pci@0000:01:00.0
          version: a1
          width: 64 bits
          clock: 33MHz
          capabilities: pm msi pciexpress vga bus_master cap_list
          configuration: latency=0

Note 2: the graphic card was correctly supported at the very beginning of Fedora
7's course (2.21.X kernels) on base of 'nv' driver.

Note 3: extract of /etc/X11/xorg.conf for Ubuntu is following:

Section "Device"
        Identifier      "nVidia Corporation NVIDIA Default Card"
        Driver          "nv"
        BusID           "PCI:1:0:0"

Version-Release number of selected component (if applicable):

Fedora 8 test 1, 2, 3, Fedora 7 with kernel > 2.6.21

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Vga is the only xorg server to be available.

Expected results:

Well, say a correct configuration ...

Additional info:
Comment 1 Hervé Riboulot 2007-10-08 13:27:07 EDT
Created attachment 219931 [details]
log from Fedora 8
Comment 2 Hervé Riboulot 2007-10-08 13:28:15 EDT
Created attachment 219941 [details]
Ubuntu 7.10 log
Comment 3 Hervé Riboulot 2007-10-08 14:33:12 EDT
Created attachment 219981 [details]
xorg.conf from Fedora 8
Comment 4 Hervé Riboulot 2007-10-08 14:33:59 EDT
Created attachment 220001 [details]
xorg.conf from Ubuntu 7.10
Comment 5 Hervé Riboulot 2007-11-03 13:33:08 EDT
Bug is fixed thanks to Fedora 8 (kernel  2.6.23.1-42.fc8 #1 SMP Tue Oct 30
13:18:33 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux) and related Livna drivers.

Note You need to log in before you can comment on or make changes to this bug.